oldShield = Shield
Shield = Class(oldShield) {

    OnCollisionCheckWeapon = function(self, firingWeapon)
        return true
    end,

    OnCollisionCheck = function(self, other)
        if EntityCategoryContains( categories.STRATEGIC, other ) and EntityCategoryContains( categories.MISSILE, other ) then return false end
        if other:GetLauncher():GetEntityId() == self.Owner:GetEntityId() then
            return false
        end
        return true
    end,
}
--[[
OnCollisionCheckWeapon = function(self, firingWeapon)
        local weaponBP = firingWeapon:GetBlueprint()
        local collide = weaponBP.CollideFriendly
        if collide == false then
            if not ( IsEnemy(self:GetArmy(),firingWeapon.unit:GetArmy()) ) then
                return false
            end
        end
        #Check DNC list
        if weaponBP.DoNotCollideList then
            for k, v in pairs(weaponBP.DoNotCollideList) do
                if EntityCategoryContains(ParseEntityCategory(v), self) then
                    return false
                end
            end
        end   
        
        return true
    end,

OnCollisionCheck = function(self,other)
        if other:GetArmy() == -1 then
            return false
        end

        # allow strategic nuke missile to penetrate shields
        if EntityCategoryContains( categories.STRATEGIC, other ) and 
           EntityCategoryContains( categories.MISSILE, other ) then
            return false
        end

        if other:GetBlueprint().Physics.CollideFriendlyShield then
            return true
        end

        return IsEnemy(self:GetArmy(),other:GetArmy())
    end,
]]